SDL_GetPrimarySelectionText(3)

NAME
SDL_GetPrimarySelectionText - Get UTF-8 text from the primary selection.

SYNOPSIS
#include <SDL3/SDL_clipboard.h>

char * SDL_GetPrimarySelectionText(void);

DESCRIPTION
This function returns an empty string if there is not enough memory left for a copy of the primary selection's content.

RETURN VALUE
for more information. This should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_HasPrimarySelectionText(3), SDL_SetPrimarySelectionText(3)